Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobItemRegist.cs	(revision 484)
@@ -55,6 +55,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("CreateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 協力業者施工工種登録申請データ検索SQL作成
         /// <summary>
         /// 協力業者施工工種登録申請データ検索SQL作成
@@ -64,19 +106,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  PersonCode");
-            strcmd.Append(", DATE_FORMAT(CreateDate,'%Y/%m/%d')");
-            strcmd.Append(", SeqNo");
-            strcmd.Append(", DisplayOrder");
-            strcmd.Append(", ItemCode");
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM SubConstrJobItemRegist");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM SubConstrJobItemRegist", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobLinkRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobLinkRegist.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrJobLinkRegist.cs	(revision 484)
@@ -55,6 +55,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("CreateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 協力業者職種リンク登録申請データ検索SQL作成
         /// <summary>
         /// 協力業者職種リンク登録申請データ検索作成
@@ -62,19 +104,18 @@
         /// <returns></returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append("  PersonCode");
-            strcmd.Append(", DATE_FORMAT(CreateDate,'%Y/%m/%d')");
-            strcmd.Append(", SeqNo");
-            strcmd.Append(", DisplayOrder");
-            strcmd.Append(", JobCategoryCode");
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM SubConstrJobLinkRegist");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM SubConstrJobLinkRegist", CreateFieldNameList());
 
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 484)
@@ -77,6 +77,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("CreateDate") || strWork.Equals("StartDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 協力業者登録申請データ検索文字列作成
         /// <summary>
         /// 協力業者登録申請データ検索文字列作成
@@ -87,33 +129,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM SubConstrRegist", CreateFieldNameList());
 
-            strcmd.Append("SELECT");
-
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("CreateDate") || strWork.Equals("StartDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM SubConstrRegist");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -229,23 +255,23 @@
                 strcmd.AppendFormat(", {0}", data.SourceCode);
                 strcmd.AppendFormat(", {0}", data.PetitionPeriod);
 
-                strcmd.AppendFormat(", '{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.CorporateStatusName));
                 strcmd.AppendFormat(", {0}", data.CorporateStatusPoint);
-                strcmd.AppendFormat(", '{0}'", data.CompanyName);
-                strcmd.AppendFormat(", '{0}'", data.CEOPositionName);
-                strcmd.AppendFormat(", '{0}'", data.CEOName);
-                strcmd.AppendFormat(", '{0}'", data.ContactPersonName);
-                strcmd.AppendFormat(", '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", '{0}'", data.Address1);
-                strcmd.AppendFormat(", '{0}'", data.Address2);
-                strcmd.AppendFormat(", '{0}'", data.Address3);
-                strcmd.AppendFormat(", '{0}'", data.CellPhoneNumber);
-                strcmd.AppendFormat(", '{0}'", data.MailAddress);
-                strcmd.AppendFormat(", '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", '{0}'", data.FaxNumber);
-                strcmd.AppendFormat(", '{0}'", data.JapaneseSyllabary);
+                strcmd.AppendFormat(", {0}", SeparateString(data.CompanyName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CEOPositionName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CEOName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ContactPersonName));
+                strcmd.AppendFormat(", {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", {0}", SeparateString(data.CellPhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(data.MailAddress));
+                strcmd.AppendFormat(", {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", {0}", SeparateString(data.JapaneseSyllabary));
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd.AppendFormat(", '{0}'", data.Note);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", {0} ", data.labourKind);
                 strcmd.AppendFormat(", {0}", data.OrderDate);
                 strcmd.AppendFormat(", {0}", data.OrderNo);
@@ -301,23 +327,23 @@
                     strcmd.AppendFormat(", {0}", work.SourceCode);
                     strcmd.AppendFormat(", {0}", work.PetitionPeriod);
 
-                    strcmd.AppendFormat(", '{0}'", work.CorporateStatusName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CorporateStatusName));
                     strcmd.AppendFormat(", {0}", work.CorporateStatusPoint);
-                    strcmd.AppendFormat(", '{0}'", work.CompanyName);
-                    strcmd.AppendFormat(", '{0}'", work.CEOPositionName);
-                    strcmd.AppendFormat(", '{0}'", work.CEOName);
-                    strcmd.AppendFormat(", '{0}'", work.ContactPersonName);
-                    strcmd.AppendFormat(", '{0}'", work.ZipCode);
-                    strcmd.AppendFormat(", '{0}'", work.Address1);
-                    strcmd.AppendFormat(", '{0}'", work.Address2);
-                    strcmd.AppendFormat(", '{0}'", work.Address3);
-                    strcmd.AppendFormat(", '{0}'", work.CellPhoneNumber);
-                    strcmd.AppendFormat(", '{0}'", work.MailAddress);
-                    strcmd.AppendFormat(", '{0}'", work.PhoneNumber);
-                    strcmd.AppendFormat(", '{0}'", work.FaxNumber);
-                    strcmd.AppendFormat(", '{0}'", work.JapaneseSyllabary);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CEOPositionName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CEOName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ContactPersonName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ZipCode));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address1));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address2));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Address3));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CellPhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MailAddress));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PhoneNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FaxNumber));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.JapaneseSyllabary));
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.StartDate.ToShortDateString());
-                    strcmd.AppendFormat(", '{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0} ", work.labourKind.ToString());
                     strcmd.AppendFormat(", {0}", work.OrderDate);
                     strcmd.AppendFormat(", {0}", work.OrderNo);
@@ -365,23 +391,23 @@
                 strcmd.AppendFormat(", SourceCode = {0}", data.SourceCode);
                 strcmd.AppendFormat(", PetitionPeriod = {0}", data.PetitionPeriod);
 
-                strcmd.AppendFormat(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd.AppendFormat(", CorporateStatusName = {0}", SeparateString(data.CorporateStatusName));
                 strcmd.AppendFormat(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
-                strcmd.AppendFormat(", CompanyName = '{0}'", data.CompanyName);
-                strcmd.AppendFormat(", CEOPositionName = '{0}'", data.CEOPositionName);
-                strcmd.AppendFormat(", CEOName = '{0}'", data.CEOName);
-                strcmd.AppendFormat(", ContactPersonName = '{0}'", data.ContactPersonName);
-                strcmd.AppendFormat(", ZipCode = '{0}'", data.ZipCode);
-                strcmd.AppendFormat(", Address1 = '{0}'", data.Address1);
-                strcmd.AppendFormat(", Address2 = '{0}'", data.Address2);
-                strcmd.AppendFormat(", Address3 = '{0}'", data.Address3);
-                strcmd.AppendFormat(", CellPhoneNumber = '{0}'", data.CellPhoneNumber);
-                strcmd.AppendFormat(", MailAddress = '{0}'", data.MailAddress);
-                strcmd.AppendFormat(", PhoneNumber = '{0}'", data.PhoneNumber);
-                strcmd.AppendFormat(", FaxNumber = '{0}'", data.FaxNumber);
-                strcmd.AppendFormat(", JapaneseSyllabary = '{0}'", data.JapaneseSyllabary);
+                strcmd.AppendFormat(", CompanyName = {0}", SeparateString(data.CompanyName));
+                strcmd.AppendFormat(", CEOPositionName = {0}", SeparateString(data.CEOPositionName));
+                strcmd.AppendFormat(", CEOName = {0}", SeparateString(data.CEOName));
+                strcmd.AppendFormat(", ContactPersonName = {0}", SeparateString(data.ContactPersonName));
+                strcmd.AppendFormat(", ZipCode = {0}", SeparateString(data.ZipCode));
+                strcmd.AppendFormat(", Address1 = {0}", SeparateString(data.Address1));
+                strcmd.AppendFormat(", Address2 = {0}", SeparateString(data.Address2));
+                strcmd.AppendFormat(", Address3 = {0}", SeparateString(data.Address3));
+                strcmd.AppendFormat(", CellPhoneNumber = {0}", SeparateString(data.CellPhoneNumber));
+                strcmd.AppendFormat(", MailAddress = {0}", SeparateString(data.MailAddress));
+                strcmd.AppendFormat(", PhoneNumber = {0}", SeparateString(data.PhoneNumber));
+                strcmd.AppendFormat(", FaxNumber = {0}", SeparateString(data.FaxNumber));
+                strcmd.AppendFormat(", JapaneseSyllabary = {0}", SeparateString(data.JapaneseSyllabary));
                 strcmd.AppendFormat(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", labourKind = {0}", data.labourKind);
                 strcmd.AppendFormat(", OrderDate = {0}", data.OrderDate);
                 strcmd.AppendFormat(", OrderNo = {0}", data.OrderNo);
@@ -466,55 +492,55 @@
                         strcmd.AppendFormat(", PetitionPeriod = {0}", (int)value);
                         break;
                     case (int)TableColumn.CorporateStatusName:
-                        strcmd.AppendFormat(" CorporateStatusName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CorporateStatusName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CorporateStatusPoint:
                         strcmd.AppendFormat(" CorporateStatusPoint = {0}", (int)value);
                         break;
                     case (int)TableColumn.CompanyName:
-                        strcmd.AppendFormat(" CompanyName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CEOPositionName:
-                        strcmd.AppendFormat(" CEOPositionName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CEOPositionName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CEOName:
-                        strcmd.AppendFormat(" CEOName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CEOName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.ContactPersonName:
-                        strcmd.AppendFormat(" ContactPersonName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ContactPersonName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.ZipCode:
-                        strcmd.AppendFormat(" ZipCode = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ZipCode = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address1:
-                        strcmd.AppendFormat(" Address1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address1 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address2:
-                        strcmd.AppendFormat(" Address2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address2 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.Address3:
-                        strcmd.AppendFormat(" Address3 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address3 = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CellPhoneNumber:
-                        strcmd.AppendFormat(" CellPhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CellPhoneNumber = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.MailAddress:
-                        strcmd.AppendFormat(" MailAddress = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" MailAddress = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.PhoneNumber:
-                        strcmd.AppendFormat(" PhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PhoneNumber = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.FaxNumber:
-                        strcmd.AppendFormat(" FaxNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FaxNumber = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.JapaneseSyllabary:
-                        strcmd.AppendFormat(" JapaneseSyllabary = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" JapaneseSyllabary = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.StartDate:
                         strcmd.AppendFormat(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.Note:
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.labourKind:
                         strcmd.AppendFormat(" labourKind = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/MySql/MySqlProcess.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/MySql/MySqlProcess.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/MySql/MySqlProcess.cs	(revision 484)
@@ -12,6 +12,7 @@
 using log4net.Appender;
 using log4net.Repository.Hierarchy;
 
+using ProcessManagement.Common;
 using ProcessManagement.DB.Core;
 
 namespace ProcessManagement.DB.MySql
@@ -21,6 +22,11 @@
     /// </summary>
     public class MySqlProcess : ABaseDBProcess
     {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
         #region コンストラクタ
         /// <summary>
         /// コンストラクタ。
@@ -33,6 +39,8 @@
         #endregion
 
         #region メソッド
+
+        #region Connectionを取得。
         /// <summary>
         /// Connectionを取得。
         /// </summary>
@@ -42,7 +50,66 @@
         {
             return new MySqlConnection(connectionString);
         }
+        #endregion
 
-        #endregion 
+        #region 文字列に対象キャラクタがあれば文字列結合関数にして返す
+        /// <summary>
+        /// 文字列に対象キャラクタがあれば文字列結合関数にして返す
+        /// </summary>
+        /// <returns></returns>
+        public string SeparateString(string TargetString)
+        {
+            try
+            {
+                // 対象キャラクタが無ければそのまま返す
+                if (TargetString.IndexOf("\'") < 0 && TargetString.IndexOf(",") < 0)
+                {
+                    return string.Format("'{0}'", TargetString);
+                }
+
+                StringBuilder strRet = new StringBuilder();
+                string[] strSplit = TargetString.Replace("\n","\\n").Split(',');
+                bool bFirst = true;
+                foreach (string CurSep in strSplit)
+                {
+                    if (strRet.Length > 0) strRet.Append(",");
+                    if (CurSep.Length == 0)
+                    {
+                        // 分割文字列が０の場合
+                        strRet.Append("','");
+                    }
+                    else
+                    {
+                        // 最初の区切り以外分割時には先頭にカンマ区切り
+                        if (!bFirst) strRet.Append("','");
+
+                        string[] strSplit2 = CurSep.Split('\'');
+                        foreach (string CurSep2 in strSplit2)
+                        {
+                            if (strRet.Length > 0) strRet.Append(",");
+                            if (CurSep2.Length == 0)
+                            {
+                                strRet.Append("'\\''");
+                            }
+                            else
+                            {
+                                strRet.AppendFormat("'{0}'", CurSep2);
+                            }
+                        }
+                    }
+                    bFirst = false;
+                }
+
+                return string.Format("CONCAT({0})", strRet.ToString());
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return TargetString;
+            }
+        }
+        #endregion
+
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/BillingCostDataLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/BillingCostDataLink.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/BillingCostDataLink.cs	(revision 484)
@@ -9,22 +9,41 @@
     public class BillingCostDataLink
     {
         #region 定数
-
+        public enum LinkTypeDef
+        {
+            /// <summary>
+            /// 0:リンク無
+            /// </summary>
+            None = 0,
+            /// <summary>
+            /// 1;担当者購入品
+            /// </summary>
+            PersonCost,
+            /// <summary>
+            /// 2:部署出納
+            /// </summary>
+            DepAccount,
+        }
         #endregion
 
         #region メンバ変数
-        private int m_CompanyCode = 0;                  // 協力会社コード
-        private int m_TargetDate = 0;                   // 対象年月
-        private int m_SeqNoB = 0;                       // 連番
-        private int m_LineCount = 0;                    // 行番号
-        private int m_LabourKind = 0;                   // 支払業者区分
-        private int m_YearNumber = 0;                   // 年度
-        private int m_CostType = 0;                     // 出納タイプフラグ
-        private int m_TargetType = 0;                   // 先コードタイプ
-        private int m_TargetCode = 0;                   // 先コード
-        private int m_SeqNoC = 0;                       // データ番号
-        private DateTime m_EntryDate = DateTime.Now;    // 登録日付
-        private DateTime m_UpdateDate = DateTime.Now;   // 更新日付
+        private int m_CompanyCode = 0;                      // 協力会社コード
+        private int m_TargetDate = 0;                       // 対象年月
+        private int m_SeqNoB = 0;                           // 連番
+        private int m_LineCount = 0;                        // 行番号
+        private int m_LabourKind = 0;                       // 支払業者区分
+        private int m_LinkType = 0;                         // リンク先データタイプ
+        private int m_YearNumber = 0;                       // 年度
+        private int m_CostType = 0;                         // 出納タイプフラグ
+        private int m_TargetType = 0;                       // 先コードタイプ
+        private int m_TargetCode = 0;                       // 先コード
+        private int m_SeqNoC = 0;                           // データ番号
+        private int m_PersonCode = 0;                       // 担当者コード
+        private DateTime m_ActionDate = DateTime.MinValue;  // 対象日付
+        private int m_DataType = 0;                         // データ区分
+        private int m_DataAddCount = 0;                     // データ追加番号
+        private DateTime m_EntryDate = DateTime.Now;        // 登録日付
+        private DateTime m_UpdateDate = DateTime.Now;       // 更新日付
         #endregion
 
         #region コンストラクタ
@@ -76,6 +95,15 @@
         }
 
         /// <summary>
+        /// リンク先データタイプ
+        /// </summary>
+        public int LinkType
+        {
+            get { return m_LinkType; }
+            set { m_LinkType = value; }
+        }
+
+        /// <summary>
         /// 年度
         /// </summary>
         public int YearNumber
@@ -117,6 +145,39 @@
         }
 
         /// <summary>
+        /// 担当者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 対象日付
+        /// </summary>
+        public DateTime ActionDate
+        {
+            get { return m_ActionDate; }
+            set { m_ActionDate = value; }
+        }
+        /// <summary>
+        /// データ区分
+        /// </summary>
+        public int DataType
+        {
+            get { return m_DataType; }
+            set { m_DataType = value; }
+        }
+        /// <summary>
+        /// データ追加番号
+        /// </summary>
+        public int DataAddCount
+        {
+            get { return m_DataAddCount; }
+            set { m_DataAddCount = value; }
+        }
+
+        /// <summary>
         /// 登録日付
         /// </summary>
         public DateTime EntryDate
